%define name	fragroute
%define version 1.2
%define release 4mdk

Summary:	Fragroute - intercept, modify, and rewrite egress traffic
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
# not sure about this one
Group:		System/Servers
URL:		http://monkey.org/~dugsong/fragroute/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	libdnet1-devel
BuildRequires:	libpcap0-devel
BuildRequires:	libevent0-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
fragroute intercepts, modifies, and rewrites egress traffic,
implementing most of the attacks described in the Secure
Networks "Insertion, Evasion, and Denial of Service: Eluding
Network Intrusion Detection" paper. It features a simple ruleset
language to delay, duplicate, drop, fragment, overlap, print,
reorder, segment, source-route, or otherwise monkey with all
outbound packets destined for a target host, with minimal support
for randomized or probabilistic behaviour. This tool was written
in good faith to aid in the testing of intrusion detection
systems, firewalls, and basic TCP/IP stack behaviour. 

%prep

%setup -q

%build
#libtoolize --copy --force; aclocal-1.4; automake-1.4; autoconf-2.13
%serverbuild
export CFLAGS="%{optflags} -fPIC"
%configure 
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc INSTALL README TODO scripts
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/*
%{_mandir}/man8/*

%changelog

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 1.2-4mdk 
- rebuild
- clean spec

* Wed Mar 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-3mdk
- rebuilt against latest buildrequires
- misc spec file fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-2mdk
- build release

* Mon Sep 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-1mdk
- initial cooker contrib
